# OSGeo::FDO::Commands::Schema::PhysicalSchemaMappingCollection Class Reference
[OSGeo::FDO::Commands::Schema]

Inheritance diagram for OSGeo::FDO::Commands::Schema::PhysicalSchemaMappingCollection:

[legend]

List of all members.

## Detailed Description

PhysicalSchemaMappingCollection defines a collection of Schema Override sets. This is a generic collection which can contain override sets for different FDO Providers.

()

## Public Member Functions
System::Int32 | Add (OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping *value)
| Adds a PhysicalSchemaMapping object into the collection.
System::Void | Clear ()
| Removes all elements from the collection.
System::Boolean | Contains (OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping *value)
| Determines whether the collection contains a specific PhysicalSchemaMapping object.
System::Void | CopyTo (OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping *array[], System::Int32 startAt)
| Copies the elements of the collection to an array.
__property System::Int32 | get_Count (System::Void)
| Gets the count of items in collection.
__property OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping * | get_Item (System::Int32 index)
| Gets an item in the collection.
__property OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping * | get_RealTypeItem (System::Int32 index)
| Gets the item in the collection at the specified index.
OSGeo::FDO::Xml::XmlFlags * | GetDeserializationFlags ()
| Gets the XML Flags that were passed to the ReadXml() function that is currently being executed. This function would typically be called by the XmlSaxHandler callbacks.
__sealed System::Collections::IEnumerator * | GetEnumerator (System::Void)
| Gets an enumerator that can iterate through a collection.
OSGeo::FDO::Common::Xml::XmlReader * | GetFromExternalStylesheet ()
| Gets the stylesheet for converting the XML document from external to internal format. When classes derived from XmlDeserializable define an internal format, they must override this function to return a stylesheet that does the conversion.
OSGeo::FDO::Common::Xml::XmlReader * | GetFromInternalStylesheet ()
| Gets the stylesheet for converting the XML document from internal to external format. When classes derived from XmlSerializable define an internal format, they must override this function to return a stylesheet that does the conversion.
OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping * | GetItem (OSGeo::FDO::Connections::IConnection *connection, System::String *schemaName)
| Gets the Schema Override set for the specified Feature Schema and the FDO provider for the specified connection. This function allows an application to retrieve the Schema Overrides for an active provider without knowing the provider name.
OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping * | GetItem (System::String *providerName, System::String *schemaName)
| Gets the Schema Override set for the specified FDO provider and Feature Schema.
OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping * | GetItem (System::Int32 index)
| Gets the Schema Override set in the collection at the specified index. Throws an invalid argument exception if the index is out of range.
OSGeo::FDO::Common::Xml::XmlSaxContext * | GetSaxContext ()
| Gets the SAX context to pass to the XmlSaxHandler callbacks. Classes derived from XmlDeserializable can override this function to specify a SAX context with class-specific information.
OSGeo::FDO::Common::Xml::XmlReader * | GetXmlReader ()
| Gets the current XML Reader. This function would typically be called by the XmlSaxHandler callbacks when ReadXml() is being invoked. When ReadXml() reads from a file, stream, or text reader, a wrapping XML reader is automatically created.
System::Int32 | IndexOf (OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping *value)
| Determines the index of a specific PhysicalSchemaMapping object.
System::Void | Insert (System::Int32 index, OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping *value)
| Inserts a PhysicalSchemaMapping object into the collection at the specified position.
| PhysicalSchemaMappingCollection ()
| Constructs a new empty string collection.
System::Void | ReadXml (OSGeo::FDO::Common::Io::IoStream *stream, OSGeo::FDO::Xml::XmlFlags *flags)
| Reads an XML document from a stream.
System::Void | ReadXml (OSGeo::FDO::Common::Io::IoStream *stream)
| Reads an XML document from a stream.
System::Void | ReadXml (OSGeo::FDO::Common::Io::IoTextReader *textReader, OSGeo::FDO::Xml::XmlFlags *flags)
| Reads an XML document from a text reader.
System::Void | ReadXml (OSGeo::FDO::Common::Io::IoTextReader *textReader)
| Reads an XML document from a text reader.
System::Void | ReadXml (OSGeo::FDO::Common::Xml::XmlReader *xmlReader, OSGeo::FDO::Xml::XmlFlags *flags)
| Reads an XML document from an XML reader.
System::Void | ReadXml (OSGeo::FDO::Common::Xml::XmlReader *xmlReader)
| Reads an XML document from an XML reader.
System::Void | ReadXml (System::String *fileName, OSGeo::FDO::Xml::XmlFlags *flags)
| Reads from an XML document in a file.
System::Void | ReadXml (System::String *fileName)
| Reads from an XML document in a file.
System::Void | Remove (OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping *value)
| Removes the first occurrence of a specific PhysicalSchemaMapping object.
System::Void | RemoveAt (System::Int32 index)
| Removes the index-th PhysicalSchemaMapping from this collection.
__property System::Void | set_Item (System::Int32 index, OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping *value)
| Sets the value of the item at the specified index.
__property System::Void | set_RealTypeItem (System::Int32 index, OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping *value)
| Sets the value of the item at the specified index.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoStream *stream, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes to a stream. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoStream *stream)
| Writes to a stream. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoTextWriter *textWriter, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes to a text writer. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoTextWriter *textWriter)
| Writes to a text writer. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Xml::XmlWriter *xmlWriter, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes to an XML writer. This object is appended to the XML document being written. Unlike the other WriteXml() functions it is not necessarily the only object in its document.
System::Void | WriteXml (OSGeo::FDO::Common::Xml::XmlWriter *xmlWriter)
| Writes to an XML writer. This object is appended to the XML document being written. Unlike the other WriteXml() functions it is not necessarily the only object in its document.
System::Void | WriteXml (String *fileName, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes this object to a file. A complete XML document, containing this object, is written.
System::Void | WriteXml (String *fileName)
| Writes this object to a file. A complete XML document, containing this object, is written.
System::Void | XmlCharacters (OSGeo::FDO::Common::Xml::XmlSaxContext *context, System::String *characters)
| Default Sax callback that is called when the XmlReader reads a chunk of simple content for the current element. Does nothing by default. This function may be called multiple times for the same element, if the the content is long. Applications must not make any assumptions about the chunk size or number of chunks for each element.
System::Void | XmlEndDocument (OSGeo::FDO::Common::Xml::XmlSaxContext *saxContext)
| Default Sax callback that is called when the XmlReader finishes reading an XML document. Does nothing.
System::Boolean | XmlEndElement (OSGeo::FDO::Common::Xml::XmlSaxContext *context, System::String *resourceLocation, System::String *name, System::String *qualifiedName)
| Default Sax callback that is called when the XmlReader reads the end tag for an XML element in the document. Does nothing.
OSGeo::FDO::Common::Xml::IXmlSaxHandler * | XmlStartDocument (OSGeo::FDO::Common::Xml::XmlSaxContext *saxContext)
| Default Sax callback that is called when the XmlReader starts reading an XML document. Does nothing.
OSGeo::FDO::Common::Xml::IXmlSaxHandler * | XmlStartElement (OSGeo::FDO::Common::Xml::XmlSaxContext *context, String *resourceLocation, String *name, String *qualifiedName, OSGeo::FDO::Common::Xml::XmlAttributeCollection *attributes)
| Default Sax callback that is called when the XmlReader reads the start tag for an XML element in the document. Does nothing.